import { Http, RequestOptionsArgs } from '@angular/http';
import { Observable, Subject } from 'rxjs/Rx';
import { Config } from '../config';
import { AuthTokensValidator } from '../auth-tokens-validator/auth-tokens-validator';
import 'rxjs/add/operator/map';
export interface ApiTokenStore {
    events: Subject<any>;
    get(): {
        authToken: string;
        refreshToken: string;
    };
}
export declare class ApiService {
    private http;
    private config;
    private apiTokenStore;
    private authTokensValidator;
    constructor(http: Http, config: Config, apiTokenStore: ApiTokenStore, authTokensValidator: AuthTokensValidator);
    fetch(path: string, options?: RequestOptionsArgs): Observable<any>;
    authorisedFetch(path: string, options?: RequestOptionsArgs): Observable<{}>;
    post(path: string, data: any, options?: RequestOptionsArgs): Observable<any>;
    private getPath(path);
    private handleResponse(res);
}
export declare class ApiError extends Error {
    response: any;
    constructor(message: string, response: any);
}
